Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
@@ -9748,28 +9657,28 @@
 !             if (iso_verif_positif_nostop((
 !     :            Pqisup(il)-Eqi_prime(il)),
-!     :            'appel_stewart_np 388 nostop ').eq.1) then
-!               write(*,*) 'il,Pqisup=',il,Pqisup(il)
-!               write(*,*) 'Eqi_prime=',Eqi_prime(il)
-!               write(*,*) 'Pqiinf=',Pqiinf(il)
-!!               write(*,*) 'stop temporaire, à enlever'
+!     :            'appel_stewart_np 388 nostop ').eq.1) THEN
+!               WRITE(*,*) 'il,Pqisup=',il,Pqisup(il)
+!               WRITE(*,*) 'Eqi_prime=',Eqi_prime(il)
+!               WRITE(*,*) 'Pqiinf=',Pqiinf(il)
+!!               WRITE(*,*) 'stop temporaire, à enlever'
 !!               stop
 !              endif
               if (iso_verif_positif_choix_nostop(( &
                 Pqisup(il)-Pqiinf_par(il)),errmax, &
-                'appel_stewart_np 442').eq.1) then
-                write(*,*) 'appel_stewart_np 174'
-                write(*,*) 'Pqisup=',Pqisup(il), &
+                'appel_stewart_np 442').eq.1) THEN
+                WRITE(*,*) 'appel_stewart_np 174'
+                WRITE(*,*) 'Pqisup=',Pqisup(il), &
                 ' Pqiinf_par=',Pqiinf_par(il)
                 stop
               endif               
               if (iso_verif_positif_nostop((Eqi_par(il)), &
-                'appel_stewart_np 559b').eq.1) then
-                write(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
+                'appel_stewart_np 559b').eq.1) THEN
+                WRITE(*,*) 'Eqi(il),Eqi_plus1(il),Eqi_prime(il)=', &
                        Eqi(il),Eqi_plus1(il),Eqi_prime(il)
-                write(*,*) 'Pqisup(il),Pqiinf(il),Eqi_par(il)=', &
+                WRITE(*,*) 'Pqisup(il),Pqiinf(il),Eqi_par(il)=', &
                         Pqisup(il),Pqiinf(il),Eqi_par(il)
               endif
 #endif              
-              if (T(il,i).ge.ztglace_kelvin) then
+              if (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.1: evap des gouttes
                 icas_evap_liq=icas_evap_liq+1  
@@ -9778,5 +9687,5 @@
                 trace_cas(il)=31
 !#endif
-              else !if (T(il,i).ge.ztglace_kelvin) then
+              else !if (T(il,i).ge.ztglace_kelvin) THEN
                 ! 3.2: evap de la glace
                 icas_evap_glace=icas_evap_glace+1  
@@ -9785,7 +9694,7 @@
                 trace_cas(il)=32
 !#endif  
-              endif !if (T(il,i).ge.ztglace_kelvin) then
-          endif !if (Eqi_prime.lt.0.0) then
-       endif !if (i.le.inb(il) .and. lwork(il)) then 
+              endif !if (T(il,i).ge.ztglace_kelvin) THEN
+          endif !if (Eqi_prime.lt.0.0) THEN
+       endif !if (i.le.inb(il) .and. lwork(il)) THEN
       enddo  !do il=1,ncum 
 
@@ -9797,27 +9706,27 @@
 
 #ifdef ISOVERIF
-!      write(*,*) 'appel_stewart_np vectoriel 355: parsage des cas:'
-!      if (ncum.ge.602) then
-!          write(*,*) 'trace_cas(602)=',trace_cas(602)
+!      WRITE(*,*) 'appel_stewart_np vectoriel 355: parsage des cas:'
+!      if (ncum.ge.602) THEN
+!          WRITE(*,*) 'trace_cas(602)=',trace_cas(602)
 !      endif  
       ncas_tot=0
       do il=1,ncum
-        if (i.le.inb(il) .and. lwork(il)) then 
+        if (i.le.inb(il) .and. lwork(il)) THEN
             ncas_tot=ncas_tot+1
         endif
       enddo
-!      write(*,*) 'i,ncum,ncas_tot=',i,ncum,ncas_tot
-!      write(*,*) 'ncas_condensation_facftmr=',ncas_condensation_facftmr
-!      write(*,*) 'ncas_condensation_nofacftmr=',
+!      WRITE(*,*) 'i,ncum,ncas_tot=',i,ncum,ncas_tot
+!      WRITE(*,*) 'ncas_condensation_facftmr=',ncas_condensation_facftmr
+!      WRITE(*,*) 'ncas_condensation_nofacftmr=',
 !     &           ncas_condensation_nofacftmr
-!      write(*,*) 'ncas_noevap=',ncas_noevap
-!      write(*,*) 'ncas_evap_liq_=',ncas_evap_liq
-!      write(*,*) 'ncas_evap_glace=',ncas_evap_glace
+!      WRITE(*,*) 'ncas_noevap=',ncas_noevap
+!      WRITE(*,*) 'ncas_evap_liq_=',ncas_evap_liq
+!      WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
       if (ncas_tot.ne.ncas_condensation_facftmr &
                +ncas_condensation_nofacftmr &
                +ncas_noevap &
                +ncas_evap_liq &
-               +ncas_evap_glace) then
-         write(*,*) 'mauvais parsage'
+               +ncas_evap_glace) THEN
+         WRITE(*,*) 'mauvais parsage'
          stop
        endif
@@ -9827,7 +9736,7 @@
       ! ****** traitement vectoriel du cas 1.1
 
-      if (ncas_condensation_facftmr.gt.0) then
+      if (ncas_condensation_facftmr.gt.0) THEN
 !#ifdef ISOVERIF        
-!      write(*,*) 'cas_condensation_facftmr(1)=', &
+!      WRITE(*,*) 'cas_condensation_facftmr(1)=', &
 !     &          cas_condensation_facftmr(1)
 !#endif
@@ -9852,9 +9761,9 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart_np tmp 506: ', &
+!      WRITE(*,*) 'appel_stewart_np tmp 506: ', &
 !     &          'après compress_condensation_facftmr'
-!      write(*,*) 'sigd_cas(1:3)=',sigd_cas(1:3)
-!      if (ncas_condensation_facftmr.ge.4) then
-!          write(*,*) 'cas_condensation_facftmr(4)=', &
+!      WRITE(*,*) 'sigd_cas(1:3)=',sigd_cas(1:3)
+!      if (ncas_condensation_facftmr.ge.4) THEN
+!          WRITE(*,*) 'cas_condensation_facftmr(4)=', &
 !     &          cas_condensation_facftmr(4)
 !      endif
@@ -9868,5 +9777,5 @@
               'appel_stewart_np 460: compress condensation_facftmr', &
               errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
          CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -9874,5 +9783,5 @@
               'appel_stewart_np 520: compress condensation_facftmr', &
               errmax,errmax)
-        endif ! if (iso_eau.gt.0) then
+        endif ! if (iso_eau.gt.0) THEN
       enddo
 #endif                  
@@ -9911,5 +9820,5 @@
 
 !#ifdef ISOVERIF     
-!       write(*,*) 'appel_stewart_np tmp 538: condensation_facftmr, izone=',
+!       WRITE(*,*) 'appel_stewart_np tmp 538: condensation_facftmr, izone=',
 !     :          izone
 !#endif      
@@ -9931,5 +9840,5 @@
 
 #ifdef ISOVERIF 
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
           do il=1,ncas_condensation_facftmr
             CALL iso_verif_egalite_choix( &
@@ -9938,5 +9847,5 @@
                 'appel_stewart_np 558',errmax,errmaxrel)
           enddo !do il=1,ncas_condensation_nofacftmr
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
 #endif
         CALL make_condensation_facftmr(ncas_condensation_facftmr, &
@@ -9970,17 +9879,17 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel_stewart_np tmp 574: ',
+!        WRITE(*,*) 'appel_stewart_np tmp 574: ',
 !     :           'fin cas condensation_facftmr'
             do il=1,ncas_condensation_facftmr
-!               write(*,*) 'il,cas_condensation_facftmr(il)=',
+!               WRITE(*,*) 'il,cas_condensation_facftmr(il)=',
 !     :           il,cas_condensation_facftmr(il)
-!               write(*,*) 'xtp(1:ntraciso:3)=',xtp(1:ntraciso:3,
+!               WRITE(*,*) 'xtp(1:ntraciso:3)=',xtp(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il),i)
-!               write(*,*) 'xtp_avantevap(1:ntraciso:3)=',
+!               WRITE(*,*) 'xtp_avantevap(1:ntraciso:3)=',
 !     :           xtp_avantevap(1:ntraciso:3,
 !     :           cas_condensation_facftmr(il))
-!               if (il.eq.cas_condensation_facftmr(602)) then
-!                write(*,*) 'appel_stewart_np 638: il=602'
-!                write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!               if (il.eq.cas_condensation_facftmr(602)) THEN
+!                WRITE(*,*) 'appel_stewart_np 638: il=602'
+!                WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :           xtp(iso_eau:ntraciso:3,cas_condensation_facftmr(il),i)
 !               endif
@@ -10000,11 +9909,8 @@
         !#ifdef ISOTRAC    
 
-           endif !if (ncas_condensation_facftmr.gt.0) then
-
-
+           endif !if (ncas_condensation_facftmr.gt.0) THEN
         ! ****** traitement vectoriel du cas 1.2
 
-      if (ncas_condensation_nofacftmr.gt.0) then
-
+      if (ncas_condensation_nofacftmr.gt.0) THEN
       CALL compress_cond_nofftmr(ncas_condensation_nofacftmr, &
          cas_condensation_nofacftmr, &
@@ -10027,7 +9933,7 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart_np tmp 616: ', &
+!      WRITE(*,*) 'appel_stewart_np tmp 616: ', &
 !     &          'apres compress condensation_nofacftmr'
-!      write(*,*) 'iso_routines 10153: sigd_cas(1:3)=', sigd_cas(1:3)
+!      WRITE(*,*) 'iso_routines 10153: sigd_cas(1:3)=', sigd_cas(1:3)
       do il=1,ncas_condensation_nofacftmr
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -10075,5 +9981,5 @@
 #ifdef ISOTRAC
        do izone=1,ntraceurs_zone
-!         write(*,*) 'appel_stewart_np 718: izone=',izone
+!         WRITE(*,*) 'appel_stewart_np 718: izone=',izone
 
          CALL compress_cond_nofftmr_zone( &
@@ -10115,5 +10021,5 @@
        enddo !do izone=1,ntraceurs_zone
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart_np tmp 690: ', &
+!       WRITE(*,*) 'appel_stewart_np tmp 690: ', &
 !     &          'fin du cas condensation_nofacftmr'
             do il=1,ncas_condensation_nofacftmr
@@ -10132,11 +10038,8 @@
 #endif            
        
-        endif !if (ncas_condensation_nofacftmr.gt.0) then
-
-        
+        endif !if (ncas_condensation_nofacftmr.gt.0) THEN
         ! ****** traitement vectoriel du cas 2
 
-      if (ncas_noevap.gt.0) then
-
+      if (ncas_noevap.gt.0) THEN
       CALL compress_noevap(ncas_noevap, &
          cas_noevap, &
@@ -10154,5 +10057,5 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart_np 719: apres compression iso noevap'
+!      WRITE(*,*) 'appel_stewart_np 719: apres compression iso noevap'
       do il=1,ncas_noevap
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -10162,5 +10065,5 @@
                 water(cas_noevap(il),i), &
                 'appel_stewart_np 693: compression',errmax,errmaxrel)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
@@ -10170,6 +10073,6 @@
                 (xtp_avantevap(iso_eau,cas_noevap(il))), &
                 qp(cas_noevap(il),i), &
-                'appel_stewart_np 739',errmax,errmaxrel).eq.1) then
-           write(*,*) 'il,cas_noevap=',il,cas_noevap(il)
+                'appel_stewart_np 739',errmax,errmaxrel).eq.1) THEN
+           WRITE(*,*) 'il,cas_noevap=',il,cas_noevap(il)
            stop
         endif
@@ -10178,5 +10081,5 @@
                 qp_cas(il), &
                 'appel_stewart_np 735',errmax,errmaxrel)
-        endif !if (iso_eau.gt.0) then
+        endif !if (iso_eau.gt.0) THEN
       enddo !do il=1,ncas_noevap
 #endif      
@@ -10223,5 +10126,5 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel_stewart_np 765: après compression isotrac'
+!        WRITE(*,*) 'appel_stewart_np 765: après compression isotrac'
         do il=1,ncas_noevap
           CALL iso_verif_egalite_choix( &
@@ -10248,5 +10151,5 @@
 
 #ifdef ISOVERIF
-!        write(*,*) 'appel_stewart_np tmp 806: ',
+!        WRITE(*,*) 'appel_stewart_np tmp 806: ',
 !     &          'fin du cas noevap'
        do il=1,ncas_noevap
@@ -10262,12 +10165,8 @@
 #endif       
 
-        endif !if (ncas_noevap.gt.0) then
-
-
+        endif !if (ncas_noevap.gt.0) THEN
         ! ****** traitement vectoriel du cas 3.1
 
-      if (ncas_evap_liq.gt.0) then
-          
-
+      if (ncas_evap_liq.gt.0) THEN
       CALL compress_evap_liq(3,ncas_evap_liq, &
          cas_evap_liq, &
@@ -10296,16 +10195,16 @@
 #ifdef ISOVERIF
       ! vérif de la compression
-!      write(*,*) 'appel_stewart_np tmp 899: ',
+!      WRITE(*,*) 'appel_stewart_np tmp 899: ',
 !     :           'apres compress_evap_liq'
-!      write(*,*) 'cas_evap_liq(1)=',cas_evap_liq(1)
-!      if (ncas_evap_liq.ge.85) then
-!      write(*,*) 'cas_evap_liq(85)=',cas_evap_liq(85)
+!      WRITE(*,*) 'cas_evap_liq(1)=',cas_evap_liq(1)
+!      if (ncas_evap_liq.ge.85) THEN
+!      WRITE(*,*) 'cas_evap_liq(85)=',cas_evap_liq(85)
 !      endif
-!      write(*,*) 'Eqi_stewart,Pqiinf_stewart,Eqi_prime_cas,Eqi_cas',
+!      WRITE(*,*) 'Eqi_stewart,Pqiinf_stewart,Eqi_prime_cas,Eqi_cas',
 !     :    Eqi_stewart(1),Pqiinf_stewart(1),
 !     :    Eqi_prime_cas(1),Eqi_cas(1)
       do il=1,ncas_evap_liq
-!       write(*,*) 'il=',il
-!      write(*,*) 'qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il)=',
+!       WRITE(*,*) 'il=',il
+!      WRITE(*,*) 'qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il)=',
 !     :    qp_avantevap_cas(il),xtp_avantevap_cas(iso_eau,il) 
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -10322,5 +10221,5 @@
               'appel_stewart_np 783: compression evap_liq', &
                 errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -10328,5 +10227,5 @@
               'appel_stewart_np 789: compression evap_liq', &
                errmax,errmax)
-        endif ! if (iso_eau.gt.0) then  
+        endif ! if (iso_eau.gt.0) THEN
         CALL iso_verif_positif((Eqi_stewart(il)), &
                 'appel_stewart_np 1124: compression evap_liq')
@@ -10338,9 +10237,9 @@
       enddo   !do il=1,ncas_evap_liq
 
-!      write(*,*) 'appel tmp 802: xtp_avantevap_cas(iso_eau,2)=',
+!      WRITE(*,*) 'appel tmp 802: xtp_avantevap_cas(iso_eau,2)=',
 !     :           xtp_avantevap_cas(iso_eau,2)
-!      write(*,*) 'appel tmp 1490: qp_avantevap_cas(2)=',
+!      WRITE(*,*) 'appel tmp 1490: qp_avantevap_cas(2)=',
 !     :           qp_avantevap_cas(2)
-!       write(*,*) 'appel_stewart_np 933: make_cas_evap_liq_np pr eau normale'
+!       WRITE(*,*) 'appel_stewart_np 933: make_cas_evap_liq_np pr eau normale'
 
        ! ici, ptrac ne sera pas utilisé
@@ -10384,5 +10283,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) then
+       if (option_revap.eq.1) THEN
          do il=1,ncas_evap_liq  
            do iiso=1,niso
@@ -10399,8 +10298,8 @@
       do izone=1,ntraceurs_zone      
       
-!       write(*,*) 'appel_stewart_np 924 tmp: cas liq: izone=',izone 
-!       write(*,*) 'appel 924: xtp_avantevap(c,cas(2))=',
+!       WRITE(*,*) 'appel_stewart_np 924 tmp: cas liq: izone=',izone
+!       WRITE(*,*) 'appel 924: xtp_avantevap(c,cas(2))=',
 !     &          xtp_avantevap(1:ntraciso:3,cas_evap_liq(2))
-!       write(*,*) 'Pxtisup(1:ntraciso:3,cas(2))=',
+!       WRITE(*,*) 'Pxtisup(1:ntraciso:3,cas(2))=',
 !     &          Pxtisup(1:ntraciso:3,cas_evap_liq(2))
        CALL compress_evap_liq_zone(3,ncas_evap_liq, &
@@ -10421,23 +10320,23 @@
 
 #ifdef ISOVERIF
-!       write(*,*) 'appel_stewart_np tmp 941'
-!       if (ncas_evap_liq.ge.162) then
-!          write(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(162)
-!           write(*,*) 'Pqisup=',Pqisup(cas_evap_liq(162))
-!           write(*,*) 'Eqi_prime=',Eqi_prime(cas_evap_liq(162))
-!           write(*,*) 'Pxtisup=',
+!       WRITE(*,*) 'appel_stewart_np tmp 941'
+!       if (ncas_evap_liq.ge.162) THEN
+!          WRITE(*,*) 'Eqi_prime_cas=',Eqi_prime_cas(162)
+!           WRITE(*,*) 'Pqisup=',Pqisup(cas_evap_liq(162))
+!           WRITE(*,*) 'Eqi_prime=',Eqi_prime(cas_evap_liq(162))
+!           WRITE(*,*) 'Pxtisup=',
 !     :           Pxtisup(iso_eau:ntraciso:3,cas_evap_liq(162))
 !       endif
-!        write(*,*) 'qp_avantevap_cas(2)=',
+!        WRITE(*,*) 'qp_avantevap_cas(2)=',
 !     :           qp_avantevap_cas(2)
-!       write(*,*) 'xtp_avantevap(iso_eau,cas_evap_liq(1))=',
+!       WRITE(*,*) 'xtp_avantevap(iso_eau,cas_evap_liq(1))=',
 !     :           xtp_avantevap(iso_eau,cas_evap_liq(1))
-!       write(*,*) 'xtp_avantevap_cas(iso_eau,2)=',
+!       WRITE(*,*) 'xtp_avantevap_cas(iso_eau,2)=',
 !     :           xtp_avantevap_cas(iso_eau,2)
-!       write(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
+!       WRITE(*,*) 'xtp_avantevaptrac_cas(iso_eau,2)=',
 !     :           xtp_avantevaptrac_cas(iso_eau,2)
-       if (iso_eau.gt.0) then
+       if (iso_eau.gt.0) THEN
            do il=1,ncas_evap_liq
-!             write(*,*) 'appel_stewart_np tmp 943: il=',il
+!             WRITE(*,*) 'appel_stewart_np tmp 943: il=',il
              CALL iso_verif_egalite_choix( &
               (qp_avantevap(cas_evap_liq(il))), &
@@ -10461,18 +10360,18 @@
                 errmax,errmaxrel)
 !             if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) then
-!               if (izone.eq.izone_cond) then
+!     :           (option_traceurs.eq.18)) THEN
+!               if (izone.eq.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           Pxtisup_cas(iso_eau,il)
 !     :           -Pxtisup(iso_eau,cas_evap_liq(il))),
 !     :           'appel_stewart_np 1114')
-!               else !if (izone.eq.izone_cond) then
+!               else !if (izone.eq.izone_cond) THEN
 !                CALL iso_verif_positif((
 !     :           -Pxtisup_cas(iso_eau,il)),
 !     :           'appel_stewart_np 1118')
-!               endif !if (izone.eq.izone_cond) then
+!               endif !if (izone.eq.izone_cond) THEN
 !             endif   !if ((option_traceurs.eq.17).or.
            enddo !do il=1,ncas_evap_liq
-       endif !if (iso_eau.gt.0) then
+       endif !if (iso_eau.gt.0) THEN
 #endif       
 
@@ -10521,25 +10420,25 @@
            
            if (iso_verif_traceur_nostop(xtp(1,cas_evap_liq(il),i), &
-                'appel_stewart_np 1256').eq.1) then
-             write(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
-             write(*,*) 'trace_cas(cas_evap_liq(il))=', &
+                'appel_stewart_np 1256').eq.1) THEN
+             WRITE(*,*) 'il,cas_evap_liq(il)=',il,cas_evap_liq(il)
+             WRITE(*,*) 'trace_cas(cas_evap_liq(il))=', &
                 trace_cas(cas_evap_liq(il))
-             if (trace_cas(cas_evap_liq(il)).eq.31) then
-                 write(*,*) 'cas evap_liq'
-                 write(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
+             if (trace_cas(cas_evap_liq(il)).eq.31) THEN
+                 WRITE(*,*) 'cas evap_liq'
+                 WRITE(*,*) 'xtp(:,cas_evap_liq(il),i)=', &
                    xtp(:,cas_evap_liq(il),i)
-                 write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-                 write(*,*) 'Eqi_stewart(il),Eqi_prime=', &
+                 WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+                 WRITE(*,*) 'Eqi_stewart(il),Eqi_prime=', &
                         Eqi_stewart(il),Eqi_prime(cas_evap_liq(il))
-                 write(*,*) 'Pxtisup(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'Pxtisup(:,cas_evap_liq(il))=', &
                         Pxtisup(:,cas_evap_liq(il))
-                 write(*,*) 'xtp_avantevap(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'xtp_avantevap(:,cas_evap_liq(il))=', &
                        xtp_avantevap(:,cas_evap_liq(il))
-                 write(*,*) 'Exi(:,cas_evap_liq(il))=', &
+                 WRITE(*,*) 'Exi(:,cas_evap_liq(il))=', &
                        Exi(:,cas_evap_liq(il))
-                 write(*,*) 'T_cas(il)=',T_cas(il)
-                 write(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
+                 WRITE(*,*) 'T_cas(il)=',T_cas(il)
+                 WRITE(*,*) 'h(il)=',thumxt1+(1.0-thumxt1)* &
                         qp_avantevap_cas(il)/qs_cas(il)
-             endif !if (trace_cas(il).eq.31) then
+             endif !if (trace_cas(il).eq.31) THEN
                 ! en cas de problème ci, activer l'option débug de
                 ! stewart_explicit
@@ -10557,5 +10456,5 @@
            CALL iso_verif_traceur_justmass(xtevap(1,cas_evap_liq(il),i), &
                 'appel_stewart_np 1258')
-!           write(*,*) 'appel_stewart_np tmp 1172: il,i=',il,i          
+!           WRITE(*,*) 'appel_stewart_np tmp 1172: il,i=',il,i
            CALL iso_verif_traceur(xtwater(1,cas_evap_liq(il),i), &
                 'appel_stewart_np 1260')
@@ -10565,14 +10464,8 @@
 #endif
 
-        endif !if (ncas_evap_liq.gt.0) then
-
-       
-        
-
+        endif !if (ncas_evap_liq.gt.0) THEN
                 ! ****** traitement vectoriel du cas 3.2
 
-      if (ncas_evap_glace.gt.0) then
-
-
+      if (ncas_evap_glace.gt.0) THEN
       CALL compress_evap_glace(3, &
          ncas_evap_glace,cas_evap_glace, &
@@ -10598,12 +10491,12 @@
 
 #ifdef ISOVERIF
-!      write(*,*) 'appel_stewart_np tmp 898 apres compress glace'
-!      write(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
+!      WRITE(*,*) 'appel_stewart_np tmp 898 apres compress glace'
+!      WRITE(*,*) 'qp_avantevap_cas(1),qp_avantevap(cas(1))=',
 !     &   qp_avantevap_cas(1),qp_avantevap(cas_evap_glace(1))   
-      !write(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1)
+      !WRITE(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1)
       ! vérif de la compression
       do il=1,ncas_evap_glace
-!       write(*,*) 'il=',il
-!      write(*,*) 'qp_avantevap_cas(il),qp_avantevap(cas(il))=',
+!       WRITE(*,*) 'il=',il
+!      WRITE(*,*) 'qp_avantevap_cas(il),qp_avantevap(cas(il))=',
 !     :    qp_avantevap_cas(il),qp_avantevap(cas_evap_glace(il)) 
         CALL iso_verif_egalite_choix((Pqisup_cas(il)), &
@@ -10629,5 +10522,5 @@
               'appel_stewart_np 914: compression evap_glace', &
                 errmax,errmax)
-        if (iso_eau.gt.0) then
+        if (iso_eau.gt.0) THEN
         CALL iso_verif_egalite_choix( &
               (xtp_avantevap_cas(iso_eau,il)), &
@@ -10637,8 +10530,8 @@
         endif      
       enddo
-!       write(*,*) 'appel_stewart_np tmp 1054:',
+!       WRITE(*,*) 'appel_stewart_np tmp 1054:',
 !     :   ' appel make_cas_evap_glace_np'
-!       write(*,*) 'cas_evap_glace(1)=',cas_evap_glace(1)
-!       write(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1)
+!       WRITE(*,*) 'cas_evap_glace(1)=',cas_evap_glace(1)
+!       WRITE(*,*) 'Pqiinf_stewart(1)=',Pqiinf_stewart(1)
 #endif   
       
@@ -10659,5 +10552,5 @@
 
 !#ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart_np tmp 1073 après make_cas_evap_glace_np'
+!        WRITE(*,*) 'appel_stewart_np tmp 1073 après make_cas_evap_glace_np'
 !#endif
 
@@ -10682,5 +10575,5 @@
 
        ! initialisation dans le cas où la revap est taggée:
-       if (option_revap.eq.1) then
+       if (option_revap.eq.1) THEN
          do il=1,ncas_evap_glace   
            do iiso=1,niso
@@ -10694,5 +10587,5 @@
 
        do izone=1,ntraceurs_zone
-!       write(*,*) 'tmp appel_stewart_np 1284: izone=',izone
+!       WRITE(*,*) 'tmp appel_stewart_np 1284: izone=',izone
 
        CALL compress_evap_glace_zone(3, &
@@ -10713,5 +10606,5 @@
 
 !#ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart_np tmp 1101 CALL make_cas_evap_glace_np'
+!        WRITE(*,*) 'appel_stewart_np tmp 1101 CALL make_cas_evap_glace_np'
 !#endif       
        CALL make_cas_evap_glace_np(ncas_evap_glace, &
@@ -10743,26 +10636,26 @@
 
 #ifdef ISOVERIF    
-!        write(*,*) 'appel_stewart_np tmp 1117: ',
+!        WRITE(*,*) 'appel_stewart_np tmp 1117: ',
 !     :           'fin du cas evap_glace'   
         do il=1,ncas_evap_glace
-!           write(*,*) 'appel_stewart_np tmp 1146: il=',il            
-!           write(*,*) 'xtp_avantevap=',xtp_avantevap
+!           WRITE(*,*) 'appel_stewart_np tmp 1146: il=',il
+!           WRITE(*,*) 'xtp_avantevap=',xtp_avantevap
 !     :           (1:ntraciso,cas_evap_glace(il))
-!           write(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
+!           WRITE(*,*) 'xtp=',xtp(1:ntraciso,cas_evap_glace(il),i)
            if (iso_verif_traceur_nostop(xtp(1,cas_evap_glace(il),i), &
-                'appel_stewart_np 1314').eq.1) then
-             write(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
-             write(*,*) 'trace_cas(cas_evap_glace(il))=', &
+                'appel_stewart_np 1314').eq.1) THEN
+             WRITE(*,*) 'il,cas_evap_glace(il)=',il,cas_evap_glace(il)
+             WRITE(*,*) 'trace_cas(cas_evap_glace(il))=', &
                 trace_cas(cas_evap_glace(il))
-             write(*,*) 'cas evap_glace'
-             write(*,*) 'xtp(:,cas_evap_glace(il),i)=', &
+             WRITE(*,*) 'cas evap_glace'
+             WRITE(*,*) 'xtp(:,cas_evap_glace(il),i)=', &
                    xtp(:,cas_evap_glace(il),i)
-             write(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
-             write(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
-             write(*,*) 'Pxtisup(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'fac_ftmr_cas(il)=',fac_ftmr_cas(il)
+             WRITE(*,*) 'Eqi_stewart(il)=',Eqi_stewart(il)
+             WRITE(*,*) 'Pxtisup(:,cas_evap_glace(il))=', &
                         Pxtisup(:,cas_evap_glace(il))
-             write(*,*) 'xtp_avantevap(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'xtp_avantevap(:,cas_evap_glace(il))=', &
                        xtp_avantevap(:,cas_evap_glace(il))
-             write(*,*) 'Exi(:,cas_evap_glace(il))=', &
+             WRITE(*,*) 'Exi(:,cas_evap_glace(il))=', &
                        Exi(:,cas_evap_glace(il))
              ! on laisse quand même une chance
@@ -10779,7 +10672,5 @@
 #endif
 
-        endif !if (ncas_evap_glace.gt.0) then
-
-
+        endif !if (ncas_evap_glace.gt.0) THEN
        ! ****** dernières vérifs et bidouilles
 
@@ -10787,5 +10678,5 @@
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) then
+           if (i.le.inb(il) .and. lwork(il)) THEN
              do ixt=1,ntraciso
                if ((iso_verif_noNAN_nostop(xtevap(ixt,il,i), &
@@ -10794,26 +10685,26 @@
                   'appel_stewart_np 1382').eq.1).or. &
                   (iso_verif_noNAN_nostop(xtwater(ixt,il,i), &
-                  'appel_stewart_np 1381').eq.1)) then
-                 write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+                  'appel_stewart_np 1381').eq.1)) THEN
+                 WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                  stop
                endif
              enddo
-         endif !if (i.le.inb(il) .and. lwork(il)) then
+         endif !if (i.le.inb(il) .and. lwork(il)) THEN
        enddo !do il=1,ncum 
 #endif  
 #ifdef ISOVERIF
         do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) then
-             if (iso_eau.gt.0) then
+           if (i.le.inb(il) .and. lwork(il)) THEN
+             if (iso_eau.gt.0) THEN
               if (iso_verif_egalite_choix_nostop(xtwater(iso_eau,il,i), &
               water(il,i),'appel_stewart_np 1277, fin, water', &
-              errmax,errmaxrel).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(  
               if (iso_verif_egalite_choix_nostop( &
               xtp(iso_eau,il,i),qp(il,i),'appel_stewart_np 1278', &
-              errmax,errmaxrel*50).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel*50).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
@@ -10821,19 +10712,19 @@
               xtevap(iso_eau,il,i),evap(il,i), &
               'appel_stewart_np 1279', &
-              errmax,errmaxrel).eq.1) then
-               write(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
+              errmax,errmaxrel).eq.1) THEN
+               WRITE(*,*) 'il,i,trace_cas=',il,i,trace_cas(il)
                stop 
               endif  !if (iso_verif_egalite_choix_nostop(
-             endif !if (iso_eau.gt.0) then
+             endif !if (iso_eau.gt.0) THEN
              if ((iso_HDO.gt.0).and. &
-                (qp(il,i).gt.ridicule)) then
+                (qp(il,i).gt.ridicule)) THEN
                 CALL iso_verif_aberrant( &
                 xtp(iso_HDO,il,i)/qp(il,i), &
                 'appel_stewart_np 1498')
-             endif  ! if (iso_HDO.gt.0) then
+             endif  ! if (iso_HDO.gt.0) THEN
 #ifdef ISOTRAC
-!           if (il.eq.602) then
-!              write(*,*) 'appel_stewart_np 1334: il,i=',il,i
-!              write(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
+!           if (il.eq.602) THEN
+!              WRITE(*,*) 'appel_stewart_np 1334: il,i=',il,i
+!              WRITE(*,*) 'xtp(iso_eau:ntraciso:3,il,i)=',
 !     :          xtp(iso_eau:ntraciso:3,il,i) 
 !           endif
@@ -10845,21 +10736,21 @@
                 'appel_stewart_np 1636')
 !           if ((option_traceurs.eq.17).or.
-!     :           (option_traceurs.eq.18)) then
+!     :           (option_traceurs.eq.18)) THEN
 !            if (iso_verif_positif_nostop(xtwater(
 !     :           index_trac(izone_cond,iso_eau),il,i)
 !     :           -xtwater(iso_eau,il,i),
-!     :           'appel_stewart_np 1457').eq.1) then
-!             write(*,*) 'il,trace_cas=',il,trace_cas(il)
+!     :           'appel_stewart_np 1457').eq.1) THEN
+!             WRITE(*,*) 'il,trace_cas=',il,trace_cas(il)
 !             stop
 !            endif !if (iso_verif_positif_nostop(xtwater(iso_eau,il,i)-
 !           endif !if ((option_traceurs.eq.17).or.
 #endif  
-           endif !if (i.le.inb(il) .and. lwork(il)) then 
+           endif !if (i.le.inb(il) .and. lwork(il)) THEN
         enddo !do il=1,ncum 
 #endif
 
-       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) then 
+       if ((bidouille_anti_divergence).and.(iso_eau.gt.0)) THEN
          do il=1,ncum 
-           if (i.le.inb(il) .and. lwork(il)) then 
+           if (i.le.inb(il) .and. lwork(il)) THEN
              xtwater(iso_eau,il,i)= water(il,i)
              xtp(iso_eau,il,i)=qp(il,i) 
@@ -10877,10 +10768,9 @@
 #endif            
 #endif             
-           endif !if (i.le.inb(il) .and. lwork(il)) then     
+           endif !if (i.le.inb(il) .and. lwork(il)) THEN
           enddo !do il=1,ncum  
-        endif !if (bidouille_anti_divergence) then
-
+        endif !if (bidouille_anti_divergence) THEN
 !#ifdef ISOVERIF
-!        write(*,*) 'appel_stewart_np tmp 1197: sortie'
+!        WRITE(*,*) 'appel_stewart_np tmp 1197: sortie'
 !#endif
 
@@ -10924,7 +10814,7 @@
         !real 
 
-!        write(*,*) 'appel_stewart_np tmp 1530: Pxtisup_cas(iso_eau,2)=',
+!        WRITE(*,*) 'appel_stewart_np tmp 1530: Pxtisup_cas(iso_eau,2)=',
 !     &          Pxtisup_cas(iso_eau,2)
-!        write(*,*) 'Pqisup_cas(2)=',Pqisup_cas(2)
+!        WRITE(*,*) 'Pqisup_cas(2)=',Pqisup_cas(2)
         do il=1,ncas
          do ixt=1,niso
@@ -10936,13 +10826,13 @@
        do il=1,ncas
         if ((Pqisup_cas(il).le.0.0).and. &
-                (water_cas(il).gt.ridicule*10)) then
+                (water_cas(il).gt.ridicule*10)) THEN
             ! 27 mai 2009: on est plus laxiste dans le cas des traceurs
             ! d'eau: on met ridicule*10
-            write(*,*) 'appel_stewart_np 372: water(il,i)=', &
+            WRITE(*,*) 'appel_stewart_np 372: water(il,i)=', &
               water_cas(il)
-            write(*,*) 'appel_stewart_np 372: Pqisup=',Pqisup_cas(il)
+            WRITE(*,*) 'appel_stewart_np 372: Pqisup=',Pqisup_cas(il)
             stop
          endif
-         if (iso_eau.gt.0) then
+         if (iso_eau.gt.0) THEN
              CALL iso_verif_egalite_choix( &
                 (Pxtisup_cas(iso_eau,il)), &
